package nl.voidcorp.discord.commands.music

import nl.voidcorp.discord.command.*
import nl.voidcorp.discord.music.PlayerManager
import org.springframework.stereotype.Service

@Service
class ForceLeave(val playerManager: PlayerManager) : Command(
    "forceleave",
    group = CommandGroup.MUSIC,
    location = CommandSource.GUILD,
    commandLevel = CommandLevel.MODERATOR
) {
    override fun handle(event: CommandMessage): CommandResult {
        event.guild!!.audioManager.closeAudioConnection()
        playerManager.delGuildPlayer(event.guild)
        return CommandResult.SUCCESS
    }
}