package nl.voidcorp.discord.commands.music

import nl.voidcorp.discord.command.*
import nl.voidcorp.discord.music.PlayerManager
import org.springframework.stereotype.Service

@Service
class Skip(val playerManager: PlayerManager) :
    Command("skip", location = CommandSource.GUILD, group = CommandGroup.MUSIC) {
    override fun handle(event: CommandMessage): CommandResult {
        playerManager.getGuildPlayer(event.guild!!).skip()
        return CommandResult.SUCCESS
    }
}