package nl.voidcorp.discord.commands.`fun`

import nl.voidcorp.discord.command.Command
import nl.voidcorp.discord.command.CommandGroup
import nl.voidcorp.discord.command.CommandMessage
import nl.voidcorp.discord.command.CommandResult
import org.springframework.stereotype.Service

@Service
class Echo : Command("echo", usage = "echo whatever", group = CommandGroup.FUN) {
    override fun handle(event: CommandMessage): CommandResult {
        val msg = event.params.drop(1).joinToString(" ")
        if (msg.isEmpty())
            return CommandResult.PARAMETERS
        event.reply(msg)
        return CommandResult.SUCCESS
    }
}