package nl.voidcorp.discord.commands.music

import nl.voidcorp.discord.command.*
import nl.voidcorp.discord.music.PlayerManager
import org.springframework.stereotype.Service

@Service
class Loop(val playerManager: PlayerManager) :
    Command("loop", location = CommandSource.GUILD, group = CommandGroup.MUSIC) {
    override fun handle(event: CommandMessage): CommandResult {
        val loop = playerManager.getGuildPlayer(event.guild!!).loop()
        if (loop){
            event.reply("Now looping!")
        }else{
            event.reply("No longer looping...")
        }
        return CommandResult.SUCCESS
    }
}