package nl.voidcorp.discord.music

import com.sedmelluq.discord.lavaplayer.track.AudioTrack
import net.dv8tion.jda.api.entities.Guild
import net.dv8tion.jda.api.entities.TextChannel

class MusicAnnouncerImpl(override val channel: TextChannel, guild: Guild) : MusicAnnouncer(channel, guild) {
    override fun sendPlayTrack(track: AudioTrack) {
        channel.sendMessage("Now playing ${track.info.title}").queue()
    }

    override fun sendQueueTrack(track: AudioTrack) {
        channel.sendMessage("Queue'd ${track.info.title}!").queue()
    }
}